## ros-kinetic-usb-cam 0.3.5

=== debian/changelog ===
ros-kinetic-usb-cam (0.3.5-0xenial) xenial; urgency=high

  * add ROS Orphaned Package Maintainers to maintainer tag (#69 <https://github.com/ros-drivers/usb_cam/issues/69>)
  * support for Kinetic / Ubuntu 16.04 (#58 <https://github.com/ros-drivers/usb_cam/issues/58>)
    * replace use of deprecated functions in newer ffmpeg/libav versionsffmpeg/libav 55.x (used in ROS Kinetic) deprecated the avcodec_alloc_frame.
  * Add grey scale pixel format. (#45 <https://github.com/ros-drivers/usb_cam/issues/45>)
  * add start/stop capture services (#44 <https://github.com/ros-drivers/usb_cam/issues/44> )
    * better management of start/stop
    * up package.xml
    * add capture service
  * fix bug for byte count in a pixel (3 bytes not 24 bytes) (#40 <https://github.com/ros-drivers/usb_cam/issues/40> )
  * Contributors: Daniel Seifert, Eric Zavesky, Kei Okada, Ludovico Russo, Russell Toris, honeytrap15

 -- Russell Toris <rctoris@wpi.edu>  Tue, 13 Jun 2017 15:00:00 -0000

ros-kinetic-usb-cam (0.3.4-0xenial) xenial; urgency=high

  * Installs launch files
  * Merge pull request #37 from tzutalin/develop
    Add a launch file for easy test
  * Add a launch file for easy test
  * Contributors: Russell Toris, tzu.ta.lin

 -- Russell Toris <rctoris@wpi.edu>  Mon, 17 Aug 2015 15:00:00 -0000

ros-kinetic-usb-cam (0.3.3-0xenial) xenial; urgency=high

  * Merge pull request #36 from jsarrett/develop
    add gain parameter
  * add gain parameter
  * Contributors: James Sarrett, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 13 May 2015 15:00:00 -0000

ros-kinetic-usb-cam (0.3.2-0xenial) xenial; urgency=high

  * Merge pull request #34 from eliasm/develop
    fixed check whether calibration file exists
  * fixed check whether calibration file exists
  * Contributors: Elias Mueggler, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Mon, 23 Mar 2015 15:00:00 -0000

ros-kinetic-usb-cam (0.3.1-0xenial) xenial; urgency=high

  * Merge pull request #32 from kmhallen/mono8
    Publish YUVMONO10 images as mono8 instead of rgb8
  * Publish YUVMONO10 images as mono8 instead of rgb8
  * Contributors: Kevin Hallenbeck, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 19 Feb 2015 15:00:00 -0000

ros-kinetic-usb-cam (0.3.0-0xenial) xenial; urgency=high

  * Merge pull request #30 from mitchellwills/develop
    Removed global state from usb_cam by encapsulating it inside an object
  * Made device name a std::string instead of const char*
  * Added usb_cam namespace
  * Added underscore sufix to class fields
  * Removed camera_ prefix from methods
  * Moved methods to parse pixel_format and io_method from string to UsbCam
  * Moved camera_image_t struct to be private in UsbCam
  * Cleaned up parameter assignment
  * Made set_v4l_parameters a non-static function
  * Moved set_v4l_parameters to UsbCam object
  * Removed global state from usb_cam by encapsulating it inside an object
    function and structions in usb_cam.h became public and everything else is private
  * Merge pull request #28 from mitchellwills/develop
    Fix installation of header files
  * Fix installation of header files
  * Contributors: Mitchell Wills, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Sun, 25 Jan 2015 15:00:00 -0000

ros-kinetic-usb-cam (0.2.0-0xenial) xenial; urgency=high

  * Bug fix in camera info settings.
  * Update .travis.yml
  * Merge pull request #27 from bosch-ros-pkg/default_camera_info
    sets default camera info
  * sets default camera info
  * Contributors: Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Thu, 15 Jan 2015 15:00:00 -0000

ros-kinetic-usb-cam (0.1.13-0xenial) xenial; urgency=high

  * Merge pull request #25 from blutack/patch-1
    Warn rather than error if framerate can't be set
  * Warn rather than error if framerate can't be set
    The driver doesn't currently work with em28xx based devices as they don't allow the framerate to be set directly and the node exits with an error. Changing to a warning allows these devices to be used.
  * Update README.md
  * Merge pull request #24 from rjw57/do-not-touch-parameters-unless-asked
    do not modify parameters unless explicitly set
  * do not modify parameters unless explicitly set
    The contrast, saturation, brightness, sharpness and focus parameters
    were recently added to usb_cam. This caused a regression
    (sigproc/robotic_surgery#17) whereby the default settings for a webcam
    are overridden in all cases by the hard-coded defaults in usb_cam.
    In the absence of a know good set of "default" values, leave the
    parameters unset unless the user has explicitly set them in the launch
    file.
  * Contributors: Rich Wareham, Russell Toris, blutack

 -- Russell Toris <rctoris@wpi.edu>  Mon, 01 Dec 2014 15:00:00 -0000

ros-kinetic-usb-cam (0.1.12-0xenial) xenial; urgency=high

  * Merge pull request #22 from dekent/develop
    White balance parameters
  * Parameter to enable/disable auto white balance
  * Added parameters for white balance
  * uses version major to check for av_codec
  * uses version header to check for AV_CODEC_ID_MJPEG
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 04 Nov 2014 15:00:00 -0000

ros-kinetic-usb-cam (0.1.11-0xenial) xenial; urgency=high

  * Merge pull request #20 from dekent/develop
    More Parameters
  * bug fix
  * Setting focus when autofocus is disabled
  * Parameter adjusting
  * Added parameter setting for absolute focus, brightness, contrast, saturation, and sharpness
  * Contributors: David Kent, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 29 Oct 2014 15:00:00 -0000

ros-kinetic-usb-cam (0.1.10-0xenial) xenial; urgency=high

  * Merge pull request #19 from bosch-ros-pkg/av_codec_id
    Removed deprecated CODEC_ID
  * added legacy macro constants for libav 10
  * Renamed deprecated CODEC_ID constants to AV_CODEC_ID to fix compilation for libav 10
  * Contributors: Andrzej Pronobis, Russell Toris


